Bug 10655 - [3.3/3.4 regression] error: impossible constraint in `asm'
Summary: [3.3/3.4 regression] error: impossible constraint in `asm'
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: inline-asm (show other bugs)
Version: 3.3
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: rejects-valid
Depends on:
Blocks:
 
Reported: 2003-05-07 03:16 UTC by dg-f
Modified: 2004-01-17 04:22 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
testcase.c (85 bytes, application/octet-stream)
2003-05-21 15:17 UTC, dg-f
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dg-f 2003-05-07 03:16:01 UTC
Compiling Attached file `testcase.c', get below error.

testcase.c: In function `void* testcase()':
testcase.c:4: error: impossible constraint in `asm'

If it is compiled by GCC 3.2, then get ICE in instantiate_virtual_regs_1.

Release:
gcc version 3.3 20030506 (prerelease)

Environment:
Linux 2.4.20 i686

How-To-Repeat:
g++ -c testcase.c -o testcase.o
g++ -O0 -c testcase.c -o testcase.o
Comment 1 dg-f 2003-05-07 03:16:01 UTC
Fix:
unknown
Comment 2 Christian Ehrhardt 2003-05-08 23:06:33 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Not a bug for 3.3 and 3.4, your contraints are broken. The 3.2 branch
    is no longer maintained.